# findByType

@Nullable
abstract fun <T> findByType(type: Class<T>): @Nullable T

Looks for the extension of a given type (useful to avoid casting). If none found null is returned.

#### Return

extension or null

#### Parameters

type

extension type

@Nullable
abstract fun <T> findByType(type: TypeOf<T>): @Nullable T

Looks for the extension of a given type (useful to avoid casting). If none found null is returned.

#### Return

extension or null

#### Since

3.5

#### Parameters

type

extension type